/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.AddImpactComentDialog");
dojo.require("jazz.ui.Dialog");
dojo.require("jazz.app.context");
dojo.require("jazz.ui.StyledBox");


dojo.requireLocalization("dm.analysis.app.ui.internal.impactanalysis", "ImpactAnalysisMessages"); 
var messages = dojo.i18n.getLocalization("dm.analysis.app.ui.internal.impactanalysis", "ImpactAnalysisMessages"); 

var thisD;
dojo.declare("dm.analysis.app.ui.internal.impactanalysis.AddImpactComentDialog", null,  {
	resourceInfo: null,
	text: null,
	width: null,
	projectId: null,
	parent: null,	
	resourceUri: null,
	resourceName: null,
	subject:null,
	comment:null,
	
	
	constructor: function(parent , resourceUri , resourceName) {
		thisD = this;
		this.resourceUri = resourceUri;
		this.resourceName = resourceName;
		this.parent = parent;
		this.projectId = jazz.app.context.get().itemId;
		this.createDialog(this.text,this.width);
	},
		
		createDialog: function(text, width){
		
		var createTable = dojo.doc.createElement("table");
		this.subject = dojo.doc.createElement("input");
		this.createRelationRow(createTable,messages.comentDialogSubject , this.subject );
		this.comment = dojo.doc.createElement("input");
		this.comment.style.height = "100px";
		this.createRelationRow(createTable,messages.comentDialogComment , this.comment );
	
		this.locateSourceButton = dojo.doc.createElement("button");
		this.locateSourceButton.innerHTML = messages.comentDialogCreate;
		dojo.connect(this.locateSourceButton,"onclick", function() { thisD.addComment(); });
		this.createRelationRow(createTable,null , this.locateSourceButton);
		
		var dialogContent = dojo.doc.createElement("div");
		dialogContent.className =  "rh-app-pages-rh-links";
		dialogContent.appendChild(createTable);
		
		this.createDialog = new jazz.ui.Dialog({
			primaryTitle: messages.comentDialogCreateCommentFor + this.resourceName,
			modal: true,
			trim: jazz.ui.StyledBox.TrimStyles.BLUE_ALPHA_SHADOW,
			center: true,
			closeOnEsc: true,
			headerless: false,
			closable: true,
			width: 400 + "px",
			moveable: true,
			collapsible: false,
			showBackground: false,
			height: "180px",
			contentNode: dialogContent,
			onClose: parent.closeEdit
		});
	},
	
	createRelationRow: function(table ,name , value)
	{
		var tr = dojo.doc.createElement("tr");
		if (name != null)
		{
			var td1 = dojo.doc.createElement("td");
			td1.innerHTML = name;
			tr.appendChild(td1);
		}
		var td2 = dojo.doc.createElement("td");
		td2.appendChild(value);
		tr.appendChild(td2);
		table.appendChild(tr);
	},
	
	addComment: function() {
		thisD.createDialog.close();
	}
});

})();