/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.ImpactAnalysisPanelsContainer");

dojo.require("dijit._Widget");


dojo.require("rmps.app.ui.internal.editors.BaseEditor");
dojo.require("rmps.ui.editor.EditorUtil");
dojo.require("dojo.string");
dojo.require("dojo.i18n");
dojo.require("dm.analysis.app.ui.internal.impactanalysis.panels.RemoveElementListPanel");
dojo.require("dm.analysis.app.ui.internal.impactanalysis.panels.AddElementListPanel");
dojo.require("dm.analysis.app.ui.internal.impactanalysis.panels.TreeNavigationPanel");

dojo.requireLocalization("dm.analysis.app.ui.internal.impactanalysis", "ImpactAnalysisMessages"); 
var messages = dojo.i18n.getLocalization("dm.analysis.app.ui.internal.impactanalysis", "ImpactAnalysisMessages"); 

dojo.declare("dm.analysis.app.ui.internal.impactanalysis.ImpactAnalysisPanelsContainer", [dijit._Widget, dijit._Templated], {
	
	messages: messages,
	widgetsInTemplate: true,
	templateString:
				'<div>' +
					'<div class="item" dojoAttachPoint="panelsContainer">' +
				'</div>' +
			'</div>',
			
	// init properties
	editor: null,

	//panels
	treeNavPanel:null,
	
	postCreate: function() {
		this.treeNavPanel = new dm.analysis.app.ui.internal.impactanalysis.panels.TreeNavigationPanel({editor: this.editor});
        this.treeNavPanel.containerNode = this.treeNavPanel.domNode;
		this.treeNavPanel.title = messages.panelTreeNavTitle;
				
		this.panelsContainer.appendChild(this.treeNavPanel.domNode);
	},
	startup: function(){
		this.inherited(arguments);
		this.treeNavPanel.startup();
	},
	
	resize: function(size)
	{
		this.treeNavPanel.resize(size);
	},
	
	getTreeNav : function ()
	{
		return this.treeNavPanel.getTreeNav();
	}
	
});
})();
