/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.ImpactAnalysisTree");

dojo.require("dijit._Widget");
dojo.require("jazz.ui.Tree");
dojo.require("jazz.ui.tree.SimpleItem");
dojo.require("jazz.ui.tree.IconItem");

dojo.requireLocalization("dm.analysis.app.ui.internal.impactanalysis", "ImpactAnalysisMessages"); 
var messages = dojo.i18n.getLocalization("dm.analysis.app.ui.internal.impactanalysis", "ImpactAnalysisMessages");
var thisT;

var myTree= dojo.declare(jazz.ui.Tree, {
			onSelectionChanged: function(selection) {
			
				var type = selection[0].nodeType,
					uri = selection[0].uri,
					urisToSelect = [];
				if (type === 'artifact') {
					thisT.diagram.selectAndFocusOn([uri]);
				} else {
					this._collectAllLeafNodeUris(selection[0], urisToSelect);
					thisT.diagram.selectAndFocusOn(urisToSelect);
				}
			},
			
			_collectAllLeafNodeUris: function (treeNode, uris) {
				// summary:
				//		recursivly collect all the leaf node node URIs from the specified tree node
				if (treeNode.isLeaf()) {
					uris.push(treeNode.uri);
				} else {
					dojo.forEach(treeNode.getChildren(), function (treeNode) {
						this._collectAllLeafNodeUris(treeNode, uris);
					}, this);
				}
			},

			// currently there can be only two options - 
			searchForElementsAndMark: function (tool,system,elementType ,selected)
			{
				var node;
				dojo.forEach(thisT.diagram.allElements.items, function (element) {
					if (tool != null && element.tool != tool ) {
						// continue...
					} else if (system != null && element.LDURI != system ) {
						// continue...
					} else if (elementType != null && element.type != elementType ) {
						// continue...
					} else if (selected) {
						// true - mark select false - mark select 
						element.node.setHighlightColor('#EE7AE9');
					} else  {
						element.node.setHighlightColor('white'); 
					}
				}, this);
				return node;
			}
});

dojo.declare("dm.analysis.app.ui.internal.impactanalysis.ImpactAnalysisTree", [dijit._Widget, dijit._Templated], {
	
	messages: null, 
	widgetsInTemplate: true,
		
	templateString:
		'<div dojoAttachPoint="treeCtontainer" class="rh-app-pages-rh-impact-tree" style="overflow: auto" >'+
		'</div>',
	tree:null,
	diagram:null,
	postCreate: function() {
		thisT = this;
		this.tree = new myTree();
		this.treeCtontainer.appendChild(this.tree.domNode);	
	},
	
	getTree: function()
	{
		return this.tree;
	}
	
});
}());