/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.pages.AnalysisComponentMenu");

dojo.require("net.jazz.ajax.ui.PlatformUI");
dojo.require("dojo.i18n");
dojo.require("dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil");
dojo.require("rmps.ui.editor.CapabilityComponentMenu");
dojo.require("rmps.ui.editor.PageHelper");
dojo.require("rmps.ui.editor.EditorMRU");

var PAGE_ID = "dm.app.impactanalysis";
var wrapHint = jazz.ui.internal.MegaMenu.wrapHint;

dojo.requireLocalization("dm.analysis.app.ui.internal.impactanalysis.pages", "DMAnalysisMessages"); 
var messages = dojo.i18n.getLocalization("dm.analysis.app.ui.internal.impactanalysis.pages", "DMAnalysisMessages"); 

dojo.declare("dm.analysis.app.ui.internal.impactanalysis.pages.AnalysisComponentMenu", rmps.ui.editor.CapabilityComponentMenu, {

	addCapabilityComponentMenuItems: function() {
		this.addItemByArgs({
			label: messages.welcomeToAnalysis,
			href: dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil.getWelcomeUri()
		});
		this.addTitle(messages.browse);
		this.addItemByArgs({
			label: messages.allAnalysis,
			href: dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil.getAllAnalysisUri()
		});
		this.addItemByArgs({
			label: messages.allAnalysisConfig,
			href:dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil.getAllConfigAnalysisUri()
		});
		
		this.addTitle(messages.create);
		
		this.addItemByArgs({
			label: messages.createAnalysis,
			onClick: function(){
				dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil.createAnalysis();
			},
			icon: dojo.moduleUrl("dm.analysis.app", "graphics/icons/impact.gif")
		});
		
		
		this.addItemByArgs({
			label: messages.createAnalysisConfig,
			onClick: function(){
				dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil.createAnalysisConfig();
			},
			icon: dojo.moduleUrl("dm.analysis.app", "graphics/icons/ia_config.gif")
		});
		
		
		this.inherited(arguments);
	},

	getPageId: function(){
		return PAGE_ID;
	}
});

})();