/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2012.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil");

dojo.require("dm.analysis.app.ui.internal.impactanalysis.models.ImpactAnalysisConfig");
dojo.require("dm.analysis.app.ui.internal.impactanalysis.models.ImpactAnalysis");
dojo.require("dm.analysis.app.ui.internal.impactanalysis.models.RHImpactClient");

dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil = {

	_baseParameters: function (actionSuffix) {
		// summary:
		//		Return a parameters object initialized with an action
		return { action: 'dm.app.analysis.impactanalysis_' + actionSuffix };
	},
	
	getWelcomeUri: function() {
		return '#' + dojo.objectToQuery(this._baseParameters('welcome'));
	},
	
	getAllAnalysisUri: function() {
		return '#' + dojo.objectToQuery(this._baseParameters('allImpacts'));
	},
	
	getAllConfigAnalysisUri: function() {
		return '#' + dojo.objectToQuery(this._baseParameters('allIAConfigs'));
	},
	
	getAnalysisUri: function(/*String*/uri) {
		var parameters = this._baseParameters('impactAnalysis');
		if (uri) {
			parameters.resourceUri = uri;
		}
		return '#' + dojo.objectToQuery(parameters);
	},
	
	getAnalysisConfigUri: function(/*String*/uri) {
		var parameters = this._baseParameters('iaConfig');
		parameters.resourceUri = uri;
		return '#' + dojo.objectToQuery(parameters);
	},
	
	getNewAnalysisUri: function (/*String(Optional)*/resourceUri) {
		var parameters = this._baseParameters('impactAnalysis');
		parameters.editMode = true;

		if (resourceUri) {
			parameters.targetResource = resourceUri;
		}

		return '#' + dojo.objectToQuery(parameters);
	},
	
	createAnalysis: function() {
		dojo.hash(this.getNewAnalysisUri());
	},
	
	createAnalysisForResource: function(/*String*/resourceId) {
		dojo.hash(this.getNewAnalysisUri(resourceId));
	},
	
	getNewAnalysisConfigUri: function () {
		var parameters = this._baseParameters('iaConfig');
		
		return '#' + dojo.objectToQuery(parameters);
	},
	
	createAnalysisConfig: function() {
		dojo.hash(this.getNewAnalysisConfigUri());
	}
	
};
}());